Bug 665165 - shared mem leak if corosync dies unexpectantly
Summary: shared mem leak if corosync dies unexpectantly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Angus Salkeld
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 696735
TreeView+ depends on / blocked
 
Reported: 2010-12-22 23:26 UTC by Angus Salkeld
Modified: 2011-05-19 14:24 UTC (History)
4 users (show)

Fixed In Version: corosync-1.2.3-23.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 14:24:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
fix (1.20 KB, patch)
2010-12-22 23:31 UTC, Angus Salkeld
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0764 normal SHIPPED_LIVE corosync bug fix update 2011-05-18 18:08:44 UTC

Description Angus Salkeld 2010-12-22 23:26:11 UTC
Description of problem:

Shared memory is leaked if corosync dies (SIGSEGV/SIGKILL...)
and there are clients connected at the time of corosync's death.

Version-Release number of selected component (if applicable):
all corosync versions

How reproducible:
100%

Steps to Reproduce:
1. start corosync
2. start any corosync client
3. killall -9 corosync
  
Actual results:
ls /dev/shm/*_buffer*
control_buffer-uxrYP7 request_buffer-6AzFFP dispatch_buffer-66Ovlf                                 response_buffer-Xd9vvx

Expected results:
ls /dev/shm/*_buffer*


Additional info:

Comment 1 Angus Salkeld 2010-12-22 23:27:14 UTC
BTW: The client must be a cpg client.

Comment 2 Angus Salkeld 2010-12-22 23:31:58 UTC
Created attachment 470342 [details]
fix

patch to fix the problem attached. Will post to ML.

Comment 11 errata-xmlrpc 2011-05-19 14:24:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0764.html


Note You need to log in before you can comment on or make changes to this bug.